Bug 146645 - CAN-2005-0089 python SimpleXMLRPCServer security issue
Summary: CAN-2005-0089 python SimpleXMLRPCServer security issue
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: python (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Mihai Ibanescu
QA Contact: Brock Organ
URL:
Whiteboard: impact=important,public=20050202
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-31 14:11 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-14 09:40:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch which fixes this issue. (3.76 KB, patch)
2005-01-31 14:11 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:109 normal SHIPPED_LIVE Important: python security update 2005-02-14 05:00:00 UTC

Description Josh Bressers 2005-01-31 14:11:46 UTC
The Python folks have discovered a flaw in SimpleXMLRPCServer that can
affect any XML-RPC servers.  This affects any programs have been written
that allow remote untrusted users to do unrestricted traversal and can
allow them to access or change function internals using the im_* and
func_* attributes.

Comment 1 Josh Bressers 2005-01-31 14:11:46 UTC
Created attachment 110427 [details]
Patch which fixes this issue.

Comment 2 Mark J. Cox 2005-02-03 16:15:38 UTC
Public, removing embargo

Comment 3 Mark J. Cox 2005-02-14 09:40:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-109.html



Note You need to log in before you can comment on or make changes to this bug.